# Uses of Class
java.security.PermissionCollection

Packages that use PermissionCollection
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.
java.net
Provides the classes for implementing networking applications.
java.security
Provides the classes and interfaces for the security framework.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
javax.security.auth
This package provides a framework for authentication and authorization.
javax.security.auth.kerberos
This package contains utility classes related to the Kerberos network authentication protocol.

- ## Uses of PermissionCollection in java.io

  Methods in java.io that return PermissionCollection
  Modifier and Type
  Method
  Description
  `PermissionCollection`
  FilePermission.`newPermissionCollection()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns a new PermissionCollection object for storing FilePermission objects.

- ## Uses of PermissionCollection in java.net

  Methods in java.net that return PermissionCollection
  Modifier and Type
  Method
  Description
  `protected PermissionCollection`
  URLClassLoader.`getPermissions(CodeSource codesource)`
  Returns an empty Permission collection.
  `PermissionCollection`
  SocketPermission.`newPermissionCollection()`
  Returns a new PermissionCollection object for storing SocketPermission objects.

- ## Uses of PermissionCollection in java.security

  Subclasses of PermissionCollection in java.security
  Modifier and Type
  Class
  Description
  `final class`
  `Permissions`
  This class represents a heterogeneous collection of permissions.
  Fields in java.security declared as PermissionCollection
  Modifier and Type
  Field
  Description
  `static final PermissionCollection`
  Policy.`UNSUPPORTED_EMPTY_COLLECTION`
  Deprecated, for removal: This API element is subject to removal in a future version.
  A read-only empty PermissionCollection instance.
  Methods in java.security that return PermissionCollection
  Modifier and Type
  Method
  Description
  `protected PermissionCollection`
  PolicySpi.`engineGetPermissions(CodeSource codesource)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Return a PermissionCollection object containing the set of permissions granted to the specified CodeSource.
  `protected PermissionCollection`
  PolicySpi.`engineGetPermissions(ProtectionDomain domain)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Return a PermissionCollection object containing the set of permissions granted to the specified ProtectionDomain.
  `PermissionCollection`
  Policy.`getPermissions(CodeSource codesource)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Return a PermissionCollection object containing the set of permissions granted to the specified CodeSource.
  `PermissionCollection`
  Policy.`getPermissions(ProtectionDomain domain)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Return a PermissionCollection object containing the set of permissions granted to the specified ProtectionDomain.
  `final PermissionCollection`
  ProtectionDomain.`getPermissions()`
  Returns the static permissions granted to this domain.
  `protected PermissionCollection`
  SecureClassLoader.`getPermissions(CodeSource codesource)`
  Returns the permissions for the given CodeSource object.
  `PermissionCollection`
  AllPermission.`newPermissionCollection()`
  Returns a new `PermissionCollection` for storing `AllPermission` objects.
  `PermissionCollection`
  BasicPermission.`newPermissionCollection()`
  Returns a new `PermissionCollection` object for storing `BasicPermission` objects.
  `PermissionCollection`
  Permission.`newPermissionCollection()`
  Returns an empty `PermissionCollection` for a given `Permission` object, or `null` if one is not defined.
  `PermissionCollection`
  UnresolvedPermission.`newPermissionCollection()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns a new PermissionCollection object for storing `UnresolvedPermission` objects.
  Constructors in java.security with parameters of type PermissionCollection
  Modifier
  Constructor
  Description
  ``
  `ProtectionDomain(CodeSource codesource, PermissionCollection permissions)`
  Creates a new `ProtectionDomain` with the given `CodeSource` and permissions.
  ``
  `ProtectionDomain(CodeSource codesource, PermissionCollection permissions, ClassLoader classloader, Principal[] principals)`
  Creates a new `ProtectionDomain` qualified by the given `CodeSource`, permissions, `ClassLoader` and array of principals.

- ## Uses of PermissionCollection in java.util

  Methods in java.util that return PermissionCollection
  Modifier and Type
  Method
  Description
  `PermissionCollection`
  PropertyPermission.`newPermissionCollection()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns a new PermissionCollection object for storing PropertyPermission objects.

- ## Uses of PermissionCollection in javax.security.auth

  Methods in javax.security.auth that return PermissionCollection
  Modifier and Type
  Method
  Description
  `PermissionCollection`
  PrivateCredentialPermission.`newPermissionCollection()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Return a homogeneous collection of PrivateCredentialPermissions in a `PermissionCollection`.

- ## Uses of PermissionCollection in javax.security.auth.kerberos

  Methods in javax.security.auth.kerberos that return PermissionCollection
  Modifier and Type
  Method
  Description
  `PermissionCollection`
  DelegationPermission.`newPermissionCollection()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns a PermissionCollection object for storing DelegationPermission objects.
  `PermissionCollection`
  ServicePermission.`newPermissionCollection()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns a PermissionCollection object for storing ServicePermission objects.